Supported devices

Philips SpeechMike Premium Touch

SpeechMike Premium Touch 3700, 3720 and 3800

 

Philips SpeechMike Premium Air

SpeechMike Premium Air 4000, 4010

  

Note: If you experience difficulties using the WebRecorder
SDK UI with a SpeechMike Premium Air with firmware version older than 4.50, seeSystem Requirements.

Philips SpeechOne

SpeechOne 6000

Philips 3-pedal Foot control (ACC 2310, 2320)

Foot control ACC 2310 and 2320

  

Philips 4-pedal Foot control (ACC 2330)

Foot control ACC 2330
× How can I help you?